> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.getmint.money/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.getmint.money/_mcp/server.

# Post V 1 Payments Crypto Pay Payment Id

POST https://api.getmint.money/v1/payments/crypto-pay/{paymentId}
Content-Type: application/json

Add attempt to pay for a payment using cryptocurrency

Reference: https://docs.getmint.money/api-reference/payments/post-v-1-payments-crypto-pay-payment-id

## Authentication

- `x-api-key` header (required) — API Key authentication via header

## Request

### Path parameters

- `paymentId` (string, required)

### Body (application/json)

This endpoint expects an object.

- `mode` (enum, optional)
  - Allowed values: `wallet`, `relay_deposit`
- `sendingAddress` (string, optional)
- `refund_to` (string, optional, nullable)
- `required_confirmations` (double, optional)
- `source` (V1PaymentsCryptoPayPaymentIdPostRequestBodyContentApplicationJsonSchemaSource, optional)
- `routing` (V1PaymentsCryptoPayPaymentIdPostRequestBodyContentApplicationJsonSchemaRouting, optional)

## Response

### 201

Default Response

- `data` (V1PaymentsCryptoPayPaymentIdPostResponsesContentApplicationJsonSchemaData, required)
- `meta` (V1PaymentsCryptoPayPaymentIdPostResponsesContentApplicationJsonSchemaMeta, required, nullable)
- `error` (string, required, nullable)
- `status` (double, optional, default: 200)

## Types

### V1PaymentsCryptoPayPaymentIdPostRequestBodyContentApplicationJsonSchemaSource

- `token` (string, required)
- `chain` (string, required)

### V1PaymentsCryptoPayPaymentIdPostRequestBodyContentApplicationJsonSchemaRouting

- V1PaymentsCryptoPayPaymentIdPostRequestBodyContentApplicationJsonSchemaRouting0
- V1PaymentsCryptoPayPaymentIdPostRequestBodyContentApplicationJsonSchemaRouting1
- V1PaymentsCryptoPayPaymentIdPostRequestBodyContentApplicationJsonSchemaRouting2

### V1PaymentsCryptoPayPaymentIdPostResponsesContentApplicationJsonSchemaData

- V1PaymentsCryptoPayPaymentIdPostResponsesContentApplicationJsonSchemaData0
- V1PaymentsCryptoPayPaymentIdPostResponsesContentApplicationJsonSchemaData1

### V1PaymentsCryptoPayPaymentIdPostResponsesContentApplicationJsonSchemaMeta

- `total` (double, required)
- `offset` (double, required)
- `limit` (double, required)

### V1PaymentsCryptoPayPaymentIdPostRequestBodyContentApplicationJsonSchemaRouting0

- `type` (enum, required)
  - Allowed values: `direct`
- `source` (V1PaymentsCryptoPayPaymentIdPostRequestBodyContentApplicationJsonSchemaRoutingOneOf0Source, required)

### V1PaymentsCryptoPayPaymentIdPostRequestBodyContentApplicationJsonSchemaRouting1

- `type` (enum, required)
  - Allowed values: `swap`
- `source` (V1PaymentsCryptoPayPaymentIdPostRequestBodyContentApplicationJsonSchemaRoutingOneOf1Source, required)
- `lifi` (V1PaymentsCryptoPayPaymentIdPostRequestBodyContentApplicationJsonSchemaRoutingOneOf1Lifi, optional)

### V1PaymentsCryptoPayPaymentIdPostRequestBodyContentApplicationJsonSchemaRouting2

- `type` (enum, required)
  - Allowed values: `bridge`
- `source` (V1PaymentsCryptoPayPaymentIdPostRequestBodyContentApplicationJsonSchemaRoutingOneOf2Source, required)
- `lifi` (V1PaymentsCryptoPayPaymentIdPostRequestBodyContentApplicationJsonSchemaRoutingOneOf2Lifi, optional)

### V1PaymentsCryptoPayPaymentIdPostResponsesContentApplicationJsonSchemaData0

- `attempt_id` (string, required)
- `payment_id` (string, required)
- `amount` (string, required)
- `amount_formatted` (double, required)
- `min_amount` (string, required)
- `expires_at` (datetime, required)
- `settlement_token_address` (string, required)
- `settlement_config` (V1PaymentsCryptoPayPaymentIdPostResponsesContentApplicationJsonSchemaDataOneOf0SettlementConfig, required)
- `destination_address` (string, required)
- `refund_to` (string, required, nullable)
- `refund_url` (string, required, nullable)
- `splitter_factory_address` (string, required, nullable)
- `payment_config_hash` (string, required, nullable)
- `refund_claimed_at` (datetime, required, nullable)
- `refund_transaction_hash` (string, required, nullable)
- `payment_provider` (string, required, nullable)
- `payment_address` (string, required, nullable)
- `provider_request_id` (string, required, nullable)
- `provider_status` (string, required, nullable)
- `source_amount` (string, required, nullable)
- `provider_expires_at` (datetime, required, nullable)
- `payment_instructions` (V1PaymentsCryptoPayPaymentIdPostResponsesContentApplicationJsonSchemaDataOneOf0PaymentInstructions, required, nullable)
- `created_at` (datetime, required)
- `updated_at` (datetime, required)
- `required_confirmations` (double, required)
- `routing` (V1PaymentsCryptoPayPaymentIdPostResponsesContentApplicationJsonSchemaDataOneOf0Routing, required)

### V1PaymentsCryptoPayPaymentIdPostResponsesContentApplicationJsonSchemaData1

- `attempt_id` (string, required)
- `payment_id` (string, required)
- `amount` (string, required)
- `amount_formatted` (double, required)
- `min_amount` (string, required)
- `expires_at` (datetime, required)
- `settlement_token_address` (string, required)
- `settlement_config` (V1PaymentsCryptoPayPaymentIdPostResponsesContentApplicationJsonSchemaDataOneOf1SettlementConfig, required)
- `destination_address` (string, required)
- `refund_to` (string, required, nullable)
- `refund_url` (string, required, nullable)
- `splitter_factory_address` (string, required, nullable)
- `payment_config_hash` (string, required, nullable)
- `refund_claimed_at` (datetime, required, nullable)
- `refund_transaction_hash` (string, required, nullable)
- `payment_provider` (string, required, nullable)
- `payment_address` (string, required, nullable)
- `source_amount` (string, required, nullable)
- `provider_expires_at` (datetime, required, nullable)
- `created_at` (datetime, required)
- `updated_at` (datetime, required)
- `required_confirmations` (double, required)
- `routing` (V1PaymentsCryptoPayPaymentIdPostResponsesContentApplicationJsonSchemaDataOneOf1Routing, required)
- `payment_instructions` (V1PaymentsCryptoPayPaymentIdPostResponsesContentApplicationJsonSchemaDataOneOf1PaymentInstructions, required, nullable)

### V1PaymentsCryptoPayPaymentIdPostRequestBodyContentApplicationJsonSchemaRoutingOneOf0Source

- `token` (string, required)
- `chain` (string, required)

### V1PaymentsCryptoPayPaymentIdPostRequestBodyContentApplicationJsonSchemaRoutingOneOf1Source

- `token` (string, required)
- `chain` (string, required)

### V1PaymentsCryptoPayPaymentIdPostRequestBodyContentApplicationJsonSchemaRoutingOneOf1Lifi

- `quote_id` (string, required)
- `route_id` (string, optional, nullable)

### V1PaymentsCryptoPayPaymentIdPostRequestBodyContentApplicationJsonSchemaRoutingOneOf2Source

- `token` (string, required)
- `chain` (string, required)

### V1PaymentsCryptoPayPaymentIdPostRequestBodyContentApplicationJsonSchemaRoutingOneOf2Lifi

- `quote_id` (string, required)
- `route_id` (string, optional, nullable)

### V1PaymentsCryptoPayPaymentIdPostResponsesContentApplicationJsonSchemaDataOneOf0SettlementConfig

- `chain` (string, required)
- `asset` (string, required)
- `asset_name` (string, required)
- `chain_name` (string, required)
- `asset_id` (string, required)
- `chain_hex` (string, optional)
- `chain_family` (string, optional)
- `token_standard` (string, optional)
- `logo_url` (string, optional)
- `chain_logo_url` (string, optional)

### V1PaymentsCryptoPayPaymentIdPostResponsesContentApplicationJsonSchemaDataOneOf0PaymentInstructions

- V1PaymentsCryptoPayPaymentIdPostResponsesContentApplicationJsonSchemaDataOneOf0PaymentInstructions0
- V1PaymentsCryptoPayPaymentIdPostResponsesContentApplicationJsonSchemaDataOneOf0PaymentInstructions1

### V1PaymentsCryptoPayPaymentIdPostResponsesContentApplicationJsonSchemaDataOneOf0Routing

- V1PaymentsCryptoPayPaymentIdPostResponsesContentApplicationJsonSchemaDataOneOf0Routing0
- V1PaymentsCryptoPayPaymentIdPostResponsesContentApplicationJsonSchemaDataOneOf0Routing1
- V1PaymentsCryptoPayPaymentIdPostResponsesContentApplicationJsonSchemaDataOneOf0Routing2

### V1PaymentsCryptoPayPaymentIdPostResponsesContentApplicationJsonSchemaDataOneOf1SettlementConfig

- `chain` (string, required)
- `asset` (string, required)
- `asset_name` (string, required)
- `chain_name` (string, required)
- `asset_id` (string, required)
- `chain_hex` (string, optional)
- `chain_family` (string, optional)
- `token_standard` (string, optional)
- `logo_url` (string, optional)
- `chain_logo_url` (string, optional)

### V1PaymentsCryptoPayPaymentIdPostResponsesContentApplicationJsonSchemaDataOneOf1Routing

- `type` (enum, required)
  - Allowed values: `direct`, `swap`, `bridge`
- `source` (V1PaymentsCryptoPayPaymentIdPostResponsesContentApplicationJsonSchemaDataOneOf1RoutingSource, required)
- `provider` (enum, optional)
  - Allowed values: `relay`

### V1PaymentsCryptoPayPaymentIdPostResponsesContentApplicationJsonSchemaDataOneOf1PaymentInstructions

- V1PaymentsCryptoPayPaymentIdPostResponsesContentApplicationJsonSchemaDataOneOf1PaymentInstructions0
- V1PaymentsCryptoPayPaymentIdPostResponsesContentApplicationJsonSchemaDataOneOf1PaymentInstructions1

### V1PaymentsCryptoPayPaymentIdPostResponsesContentApplicationJsonSchemaDataOneOf0PaymentInstructions0

- `type` (enum, required)
  - Allowed values: `relay_deposit_address`
- `provider` (enum, required)
  - Allowed values: `relay`
- `request_id` (string, required)
- `payment_address` (string, required)
- `source_chain` (string, required)
- `source_token` (string, required)
- `source_amount` (string, required)
- `source_amount_formatted` (string, required)
- `expires_at` (datetime, required, nullable)
- `refund_to` (string, required, nullable)
- `provider_status` (string, required, nullable)

### V1PaymentsCryptoPayPaymentIdPostResponsesContentApplicationJsonSchemaDataOneOf0PaymentInstructions1

- `type` (enum, required)
  - Allowed values: `token_transfer`
- `payment_address` (string, required)
- `chain` (string, required)
- `chain_name` (string, required)
- `token` (string, required)
- `token_symbol` (string, required)
- `token_standard` (string, required)
- `amount` (string, required)
- `amount_formatted` (string, required)
- `qr_payload` (string, required)
- `expires_at` (datetime, required, nullable)

### V1PaymentsCryptoPayPaymentIdPostResponsesContentApplicationJsonSchemaDataOneOf0Routing0

- `type` (enum, required)
  - Allowed values: `direct`
- `source` (V1PaymentsCryptoPayPaymentIdPostResponsesContentApplicationJsonSchemaDataOneOf0RoutingOneOf0Source, required)
- `provider` (enum, optional)
  - Allowed values: `relay`

### V1PaymentsCryptoPayPaymentIdPostResponsesContentApplicationJsonSchemaDataOneOf0Routing1

- `type` (enum, required)
  - Allowed values: `swap`
- `source` (V1PaymentsCryptoPayPaymentIdPostResponsesContentApplicationJsonSchemaDataOneOf0RoutingOneOf1Source, required)
- `provider` (enum, optional)
  - Allowed values: `relay`
- `lifi` (V1PaymentsCryptoPayPaymentIdPostResponsesContentApplicationJsonSchemaDataOneOf0RoutingOneOf1Lifi, optional)

### V1PaymentsCryptoPayPaymentIdPostResponsesContentApplicationJsonSchemaDataOneOf0Routing2

- `type` (enum, required)
  - Allowed values: `bridge`
- `source` (V1PaymentsCryptoPayPaymentIdPostResponsesContentApplicationJsonSchemaDataOneOf0RoutingOneOf2Source, required)
- `provider` (enum, optional)
  - Allowed values: `relay`
- `lifi` (V1PaymentsCryptoPayPaymentIdPostResponsesContentApplicationJsonSchemaDataOneOf0RoutingOneOf2Lifi, optional)

### V1PaymentsCryptoPayPaymentIdPostResponsesContentApplicationJsonSchemaDataOneOf1RoutingSource

- `token` (string, required)
- `chain` (string, required)

### V1PaymentsCryptoPayPaymentIdPostResponsesContentApplicationJsonSchemaDataOneOf1PaymentInstructions0

- `type` (enum, required)
  - Allowed values: `relay_deposit_address`
- `provider` (enum, required)
  - Allowed values: `relay`
- `request_id` (string, required)
- `payment_address` (string, required)
- `source_chain` (string, required)
- `source_token` (string, required)
- `source_amount` (string, required)
- `source_amount_formatted` (string, required)
- `expires_at` (datetime, required, nullable)
- `refund_to` (string, required, nullable)
- `provider_status` (enum, required, nullable)
  - Allowed values: `pending`, `confirming_payment`, `paid`, `failed`, `refund_pending`

### V1PaymentsCryptoPayPaymentIdPostResponsesContentApplicationJsonSchemaDataOneOf1PaymentInstructions1

- `type` (enum, required)
  - Allowed values: `token_transfer`
- `payment_address` (string, required)
- `chain` (string, required)
- `chain_name` (string, required)
- `token` (string, required)
- `token_symbol` (string, required)
- `token_standard` (string, required)
- `amount` (string, required)
- `amount_formatted` (string, required)
- `qr_payload` (string, required)
- `expires_at` (datetime, required, nullable)

### V1PaymentsCryptoPayPaymentIdPostResponsesContentApplicationJsonSchemaDataOneOf0RoutingOneOf0Source

- `token` (string, required)
- `chain` (string, required)

### V1PaymentsCryptoPayPaymentIdPostResponsesContentApplicationJsonSchemaDataOneOf0RoutingOneOf1Source

- `token` (string, required)
- `chain` (string, required)

### V1PaymentsCryptoPayPaymentIdPostResponsesContentApplicationJsonSchemaDataOneOf0RoutingOneOf1Lifi

- `quote_id` (string, required)
- `route_id` (string, optional, nullable)

### V1PaymentsCryptoPayPaymentIdPostResponsesContentApplicationJsonSchemaDataOneOf0RoutingOneOf2Source

- `token` (string, required)
- `chain` (string, required)

### V1PaymentsCryptoPayPaymentIdPostResponsesContentApplicationJsonSchemaDataOneOf0RoutingOneOf2Lifi

- `quote_id` (string, required)
- `route_id` (string, optional, nullable)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "data": {
    "attempt_id": "string",
    "payment_id": "string",
    "amount": "string",
    "amount_formatted": 1.1,
    "min_amount": "string",
    "expires_at": "2024-01-15T09:30:00Z",
    "settlement_token_address": "string",
    "settlement_config": {
      "chain": "string",
      "chain_hex": "string",
      "asset": "string",
      "asset_name": "string",
      "chain_name": "string",
      "asset_id": "string",
      "chain_family": "string",
      "token_standard": "string",
      "logo_url": "string",
      "chain_logo_url": "string"
    },
    "destination_address": "string",
    "refund_to": "string",
    "refund_url": "string",
    "splitter_factory_address": "string",
    "payment_config_hash": "string",
    "refund_claimed_at": "2024-01-15T09:30:00Z",
    "refund_transaction_hash": "string",
    "payment_provider": "string",
    "payment_address": "string",
    "provider_request_id": "string",
    "provider_status": "string",
    "source_amount": "string",
    "provider_expires_at": "2024-01-15T09:30:00Z",
    "payment_instructions": {
      "type": "relay_deposit_address",
      "provider": "relay",
      "request_id": "string",
      "payment_address": "string",
      "source_chain": "string",
      "source_token": "string",
      "source_amount": "string",
      "source_amount_formatted": "string",
      "expires_at": "2024-01-15T09:30:00Z",
      "refund_to": "string",
      "provider_status": "string"
    },
    "created_at": "2024-01-15T09:30:00Z",
    "updated_at": "2024-01-15T09:30:00Z",
    "required_confirmations": 1.1,
    "routing": {
      "type": "direct",
      "source": {
        "token": "string",
        "chain": "string"
      },
      "provider": "relay"
    }
  },
  "meta": {
    "total": 1.1,
    "offset": 1.1,
    "limit": 1.1
  },
  "error": "string",
  "status": 200
}
```

**SDK Code**

```python
import requests

url = "https://api.getmint.money/v1/payments/crypto-pay/paymentId"

payload = {}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.getmint.money/v1/payments/crypto-pay/paymentId';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getmint.money/v1/payments/crypto-pay/paymentId"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.getmint.money/v1/payments/crypto-pay/paymentId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.getmint.money/v1/payments/crypto-pay/paymentId")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.getmint.money/v1/payments/crypto-pay/paymentId', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.getmint.money/v1/payments/crypto-pay/paymentId");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getmint.money/v1/payments/crypto-pay/paymentId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```